# Class: Textarea

## jala.Form.Component.Textarea(name)

Subclass of jala.Form.Component.Input which renders and validates a textarea input field.

## Constructor

#### new Textarea(name)

Constructs a new Textarea component.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | Name of the component, used as name of the html controls.

Source:
  - jala/code/Form.js, line 1754

##### Returns:

A newly created Textarea component instance

### Methods

#### getCols()

Returns the col numbers for this component.

Source:
  - jala/code/Form.js, line 1782

##### Returns:

col numbers

#### getRows()

Returns the row numbers for this component.

Source:
  - jala/code/Form.js, line 1764

##### Returns:

row numbers

#### renderControls(attr, value, reqData)

Renders a textarea input field to the response.

##### Parameters:

Name | Type | Description
--- | --- | ---
`attr` | Object | Basic attributes for this element.
`value` | Object | Value to be used for rendering this element.
`reqData` | Object | Request data for the whole form. This argument is passed only if the form is re-rendered after an error occured.

Source:
  - jala/code/Form.js, line 1807

#### setCols(newCols)

Sets the col numbers for this component.

##### Parameters:

Name | Type | Description
--- | --- | ---
`newCols` | String | new col numbers

Source:
  - jala/code/Form.js, line 1790

#### setRows(newRows)

Sets the row numbers for this component.

##### Parameters:

Name | Type | Description
--- | --- | ---
`newRows` | String | new row numbers

Source:
  - jala/code/Form.js, line 1772